<main class="wrapper">
  <h1>Extremum Calculator</h1>
  <section>
    <h2>Data</h2>
    <app-choosing-function-form (functionChange)="onFunctionChange($event)"></app-choosing-function-form>
    <app-choosing-method-form (methodChange)="onMethodChange($event)"
                              [methods]="currentFunction?.methodsAvailable || []"></app-choosing-method-form>
  </section>
  <section>
    <h2>Calculator</h2>
    <ng-container *ngIf="currentFunction && currentMethod">
        <app-extremum-calculator [funcData]="currentFunction"
                                 [method]="currentMethod"></app-extremum-calculator>
    </ng-container>

  </section>
</main>
<router-outlet></router-outlet>
